%define major		1
%define libname		%mklibname gii %{major}
%define develname	%mklibname gii -d

Summary:	A flexible library for input handling
Name:		libgii
Version:	1.0.2
Release:	%mkrel 26
License:	MIT
Group:		System/Libraries
URL:		https://ibiblio.org/ggicore/packages/libgii.html
Source0:	https://download.sourceforge.net/ggi/libgii-%{version}.src.tar.bz2
Patch0:		libgii-1.0.2-wformat.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xxf86dga)
BuildRequires:	pkgconfig(ice)
BuildRequires:  gtk-doc

%description
LibGII is an input library developed by the GGI Project
(http://www.ggi-project.org). Its design philosophy is similar to
LibGGI, which deals with graphics output.

LibGII is based on the concept of input streams, which virtualize
access to the underlying input drivers. Events from various input
devices are abstracted into easy-to-use structures. LibGII also allows
the application to join streams together, receiving input from an
arbitrary combination of devices.

LibGII is a separate component from LibGGI, although LibGGI depends on
LibGII for input purposes. (LibGGI's input functions are simply
wrappers for LibGII functions.)

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname gii 1 -d}
Obsoletes:	%{_lib}gii-static-devel < 1.0.2-23

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure	\
	--disable-debug \
	--disable-static

%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc ChangeLog ChangeLog.1999 FAQ INSTALL INSTALL.autoconf NEWS README doc/README*
%{_bindir}/*
%{_libdir}/ggi/*/*.so
%{_mandir}/man1/*
%{_mandir}/man7/*
%config(noreplace) %{_sysconfdir}/ggi/filter/keytrans
%config(noreplace) %{_sysconfdir}/ggi/filter/mouse
%config(noreplace) %{_sysconfdir}/ggi/libgii.conf
%dir %{_sysconfdir}/ggi
%dir %{_libdir}/ggi/input
%dir %{_libdir}/ggi/filter

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/ggi/
%{_libdir}/*.so
%{_mandir}/man3/*
%{_mandir}/man5/*


%changelog
* Wed Aug 05 2020 joequant <joequant> 1.0.2-26.mga8
+ Revision: 1611086
- fix deps
- revert
- revert arm64

* Tue Feb 11 2020 umeabot <umeabot> 1.0.2-24.mga8
+ Revision: 1488930
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 27 2018 wally <wally> 1.0.2-23.mga7
+ Revision: 1254924
- make lib pkg to require main pkg for libgii.conf (mga#23487)
- drop unneeded chrpath BR on x86_64
- update URLs
- disable static build

* Sun Jun 03 2018 wally <wally> 1.0.2-22.mga7
+ Revision: 1233910
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Sat Feb 06 2016 umeabot <umeabot> 1.0.2-21.mga6
+ Revision: 941124
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-20.mga5
+ Revision: 746114
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-19.mga5
+ Revision: 681486
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-18.mga4
+ Revision: 506975
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-17.mga3
+ Revision: 357219
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 fwang <fwang> 1.0.2-16.mga2
+ Revision: 158154
- drop .la files
+ ahmad <ahmad>
- drop old/uneeded scriptlets
- replace X11-devel with libx11-devel libxxf86dga-devel
- add BR libice-devel
- imported package libgii

